/**
 *
 */
package de.intevation.gnv.transition;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultOutputMode implements OutputMode {

    private String name = null;
    private String description = null;
    private String mimeType = null;
    
    /**
     * Constructor
     * @param name
     * @param description
     * @param mimeType
     */
    public DefaultOutputMode(String name, String description, String mimeType) {
        super();
        this.name = name;
        this.description = description;
        this.mimeType = mimeType;
    }
    
    /**
     * @see de.intevation.gnv.transition.OutputMode#getDescription()
     */
    public String getDescription() {
        return this.description;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getMimeType()
     */
    public String getMimeType() {
        return this.mimeType;
    }

    /**
     * @see de.intevation.gnv.transition.OutputMode#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "Name: "+this.name+" ; Description: "+this.description+" ; Mime-Type: "+this.mimeType;
    }

}
